#include <kdialog.h>
#include <klocale.h>

#ifndef UI_GROUPSELECTDLG_H
#define UI_GROUPSELECTDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include "QtCore/QStringList"

QT_BEGIN_NAMESPACE

class Ui_GroupSelectDlg
{
public:
    QGridLayout *gridLayout;
    QHBoxLayout *hboxLayout;
    QSpacerItem *Qt__Horizontal_Spacing2;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;
    Q3Frame *frame16;
    QSpacerItem *spacer90;
    Q3GroupBox *groupBox87;
    QVBoxLayout *vboxLayout;
    Q3ListView *groupListView;
    Q3ButtonGroup *accessBtnGrp;
    QVBoxLayout *vboxLayout1;
    QRadioButton *defaultRadio;
    QRadioButton *readRadio;
    QRadioButton *writeRadio;
    QRadioButton *adminRadio;
    QRadioButton *noAccessRadio;
    Q3ButtonGroup *kindBtnGrp;
    QVBoxLayout *vboxLayout2;
    QRadioButton *unixRadio;
    QRadioButton *nisRadio;
    QRadioButton *bothRadio;

    void setupUi(QDialog *GroupSelectDlg)
    {
        if (GroupSelectDlg->objectName().isEmpty())
            GroupSelectDlg->setObjectName(QString::fromUtf8("GroupSelectDlg"));
        GroupSelectDlg->resize(406, 370);
        GroupSelectDlg->setSizeGripEnabled(true);
        gridLayout = new QGridLayout(GroupSelectDlg);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        Qt__Horizontal_Spacing2 = new QSpacerItem(285, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Qt__Horizontal_Spacing2);

        buttonOk = new QPushButton(GroupSelectDlg);
        buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
        buttonOk->setShortcut(0);
        buttonOk->setAutoDefault(true);
        buttonOk->setDefault(true);

        hboxLayout->addWidget(buttonOk);

        buttonCancel = new QPushButton(GroupSelectDlg);
        buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
        buttonCancel->setShortcut(0);
        buttonCancel->setAutoDefault(true);

        hboxLayout->addWidget(buttonCancel);


        gridLayout->addLayout(hboxLayout, 4, 0, 1, 2);

        frame16 = new Q3Frame(GroupSelectDlg);
        frame16->setObjectName(QString::fromUtf8("frame16"));
        frame16->setFrameShape(QFrame::HLine);
        frame16->setFrameShadow(QFrame::Raised);

        gridLayout->addWidget(frame16, 3, 0, 1, 2);

        spacer90 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout->addItem(spacer90, 2, 1, 1, 1);

        groupBox87 = new Q3GroupBox(GroupSelectDlg);
        groupBox87->setObjectName(QString::fromUtf8("groupBox87"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
        sizePolicy.setHorizontalStretch(100);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(groupBox87->sizePolicy().hasHeightForWidth());
        groupBox87->setSizePolicy(sizePolicy);
        groupBox87->setColumnLayout(0, Qt::Vertical);
        groupBox87->layout()->setSpacing(6);
        groupBox87->layout()->setMargin(11);
        vboxLayout = new QVBoxLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox87->layout());
        if (boxlayout)
            boxlayout->addLayout(vboxLayout);
        vboxLayout->setAlignment(Qt::AlignTop);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        groupListView = new Q3ListView(groupBox87);
        groupListView->addColumn(tr2i18n("Name", 0));
        groupListView->header()->setClickEnabled(true, groupListView->header()->count() - 1);
        groupListView->addColumn(tr2i18n("GID", 0));
        groupListView->header()->setClickEnabled(true, groupListView->header()->count() - 1);
        groupListView->setObjectName(QString::fromUtf8("groupListView"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
        sizePolicy1.setHorizontalStretch(100);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(groupListView->sizePolicy().hasHeightForWidth());
        groupListView->setSizePolicy(sizePolicy1);
        groupListView->setSelectionMode(Q3ListView::Extended);

        vboxLayout->addWidget(groupListView);


        gridLayout->addWidget(groupBox87, 0, 0, 3, 1);

        accessBtnGrp = new Q3ButtonGroup(GroupSelectDlg);
        accessBtnGrp->setObjectName(QString::fromUtf8("accessBtnGrp"));
        QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(accessBtnGrp->sizePolicy().hasHeightForWidth());
        accessBtnGrp->setSizePolicy(sizePolicy2);
        accessBtnGrp->setColumnLayout(0, Qt::Vertical);
        accessBtnGrp->layout()->setSpacing(6);
        accessBtnGrp->layout()->setMargin(11);
        vboxLayout1 = new QVBoxLayout();
        QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(accessBtnGrp->layout());
        if (boxlayout1)
            boxlayout1->addLayout(vboxLayout1);
        vboxLayout1->setAlignment(Qt::AlignTop);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        defaultRadio = new QRadioButton(accessBtnGrp);
        defaultRadio->setObjectName(QString::fromUtf8("defaultRadio"));
        QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(defaultRadio->sizePolicy().hasHeightForWidth());
        defaultRadio->setSizePolicy(sizePolicy3);
        defaultRadio->setShortcut(8388676);
        defaultRadio->setChecked(true);

        vboxLayout1->addWidget(defaultRadio);

        readRadio = new QRadioButton(accessBtnGrp);
        readRadio->setObjectName(QString::fromUtf8("readRadio"));
        sizePolicy3.setHeightForWidth(readRadio->sizePolicy().hasHeightForWidth());
        readRadio->setSizePolicy(sizePolicy3);
        readRadio->setShortcut(8388690);

        vboxLayout1->addWidget(readRadio);

        writeRadio = new QRadioButton(accessBtnGrp);
        writeRadio->setObjectName(QString::fromUtf8("writeRadio"));
        sizePolicy3.setHeightForWidth(writeRadio->sizePolicy().hasHeightForWidth());
        writeRadio->setSizePolicy(sizePolicy3);
        writeRadio->setShortcut(8388695);

        vboxLayout1->addWidget(writeRadio);

        adminRadio = new QRadioButton(accessBtnGrp);
        adminRadio->setObjectName(QString::fromUtf8("adminRadio"));
        sizePolicy3.setHeightForWidth(adminRadio->sizePolicy().hasHeightForWidth());
        adminRadio->setSizePolicy(sizePolicy3);
        adminRadio->setShortcut(8388673);

        vboxLayout1->addWidget(adminRadio);

        noAccessRadio = new QRadioButton(accessBtnGrp);
        noAccessRadio->setObjectName(QString::fromUtf8("noAccessRadio"));
        sizePolicy3.setHeightForWidth(noAccessRadio->sizePolicy().hasHeightForWidth());
        noAccessRadio->setSizePolicy(sizePolicy3);
        noAccessRadio->setShortcut(8388686);

        vboxLayout1->addWidget(noAccessRadio);


        gridLayout->addWidget(accessBtnGrp, 0, 1, 1, 1);

        kindBtnGrp = new Q3ButtonGroup(GroupSelectDlg);
        kindBtnGrp->setObjectName(QString::fromUtf8("kindBtnGrp"));
        kindBtnGrp->setColumnLayout(0, Qt::Vertical);
        kindBtnGrp->layout()->setSpacing(6);
        kindBtnGrp->layout()->setMargin(11);
        vboxLayout2 = new QVBoxLayout();
        QBoxLayout *boxlayout2 = qobject_cast<QBoxLayout *>(kindBtnGrp->layout());
        if (boxlayout2)
            boxlayout2->addLayout(vboxLayout2);
        vboxLayout2->setAlignment(Qt::AlignTop);
        vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
        unixRadio = new QRadioButton(kindBtnGrp);
        unixRadio->setObjectName(QString::fromUtf8("unixRadio"));
        sizePolicy3.setHeightForWidth(unixRadio->sizePolicy().hasHeightForWidth());
        unixRadio->setSizePolicy(sizePolicy3);
        unixRadio->setShortcut(8388693);
        unixRadio->setChecked(false);
        kindBtnGrp->insert(unixRadio, 0);

        vboxLayout2->addWidget(unixRadio);

        nisRadio = new QRadioButton(kindBtnGrp);
        nisRadio->setObjectName(QString::fromUtf8("nisRadio"));
        sizePolicy3.setHeightForWidth(nisRadio->sizePolicy().hasHeightForWidth());
        nisRadio->setSizePolicy(sizePolicy3);
        nisRadio->setShortcut(8388691);
        nisRadio->setChecked(false);
        kindBtnGrp->insert(nisRadio, 1);

        vboxLayout2->addWidget(nisRadio);

        bothRadio = new QRadioButton(kindBtnGrp);
        bothRadio->setObjectName(QString::fromUtf8("bothRadio"));
        sizePolicy3.setHeightForWidth(bothRadio->sizePolicy().hasHeightForWidth());
        bothRadio->setSizePolicy(sizePolicy3);
        bothRadio->setShortcut(8388687);
        bothRadio->setChecked(true);

        vboxLayout2->addWidget(bothRadio);


        gridLayout->addWidget(kindBtnGrp, 1, 1, 1, 1);

        QWidget::setTabOrder(groupListView, defaultRadio);
        QWidget::setTabOrder(defaultRadio, bothRadio);
        QWidget::setTabOrder(bothRadio, buttonOk);
        QWidget::setTabOrder(buttonOk, buttonCancel);

        retranslateUi(GroupSelectDlg);
        QObject::connect(buttonOk, SIGNAL(clicked()), GroupSelectDlg, SLOT(accept()));
        QObject::connect(buttonCancel, SIGNAL(clicked()), GroupSelectDlg, SLOT(reject()));

        QMetaObject::connectSlotsByName(GroupSelectDlg);
    } // setupUi

    void retranslateUi(QDialog *GroupSelectDlg)
    {
        GroupSelectDlg->setWindowTitle(tr2i18n("Select Groups", 0));
        buttonOk->setText(tr2i18n("&OK", 0));
        buttonCancel->setText(tr2i18n("&Cancel", 0));
        groupBox87->setTitle(tr2i18n("Selec&t Groups", 0));
        groupListView->header()->setLabel(0, tr2i18n("Name", 0));
        groupListView->header()->setLabel(1, tr2i18n("GID", 0));
        accessBtnGrp->setTitle(tr2i18n("Acc&ess", 0));
        defaultRadio->setText(tr2i18n("&Default", 0));
        readRadio->setText(tr2i18n("&Read access", 0));
        writeRadio->setText(tr2i18n("&Write access", 0));
        adminRadio->setText(tr2i18n("&Admin access", 0));
        noAccessRadio->setText(tr2i18n("&No access at all", 0));
        kindBtnGrp->setTitle(tr2i18n("&Kind of Group", 0));
        unixRadio->setText(tr2i18n("&UNIX group", 0));
        nisRadio->setText(tr2i18n("NI&S group", 0));
        bothRadio->setText(tr2i18n("UNIX and NIS gr&oup", 0));
        Q_UNUSED(GroupSelectDlg);
    } // retranslateUi

};

namespace Ui {
    class GroupSelectDlg: public Ui_GroupSelectDlg {};
} // namespace Ui

QT_END_NAMESPACE

class GroupSelectDlg : public QDialog, public Ui::GroupSelectDlg
{
    Q_OBJECT

public:
    GroupSelectDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~GroupSelectDlg();

public slots:
    virtual void init( const QStringList & specifiedGroups );
    virtual QStringList getSelectedGroups();
    virtual int getAccess();
    virtual QString getGroupKind();

protected:
    QString groupKind;
    int access;
    QStringList selectedGroups;

protected slots:
    virtual void languageChange();

    virtual void accept();


};

#endif // GROUPSELECTDLG_H

