#include <kdialog.h>
#include <klocale.h>

#ifndef UI_JOINDOMAINDLG_H
#define UI_JOINDOMAINDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <klineedit.h>
#include <kpassworddialog.h>
#include "kpassworddialog.h"

QT_BEGIN_NAMESPACE

class Ui_JoinDomainDlg
{
public:
    QGridLayout *gridLayout;
    QHBoxLayout *hboxLayout;
    QSpacerItem *Qt__Horizontal_Spacing2;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;
    QLineEdit *domainEdit;
    QLineEdit *domainControllerEdit;
    QLineEdit *usernameEdit;
    QLabel *textLabel5_2_2;
    QLabel *textLabel5_2;
    QLabel *textLabel5;
    QLabel *textLabel4_2;
    QLabel *textLabel4;
    KLineEdit *passwordEdit;
    KLineEdit *verifyEdit;
    QFrame *line1;
    QSpacerItem *spacer65;

    void setupUi(QDialog *JoinDomainDlg)
    {
        if (JoinDomainDlg->objectName().isEmpty())
            JoinDomainDlg->setObjectName(QString::fromUtf8("JoinDomainDlg"));
        JoinDomainDlg->resize(427, 215);
        JoinDomainDlg->setSizeGripEnabled(true);
        gridLayout = new QGridLayout(JoinDomainDlg);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        Qt__Horizontal_Spacing2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Qt__Horizontal_Spacing2);

        buttonOk = new QPushButton(JoinDomainDlg);
        buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
        buttonOk->setAutoDefault(true);
        buttonOk->setDefault(true);

        hboxLayout->addWidget(buttonOk);

        buttonCancel = new QPushButton(JoinDomainDlg);
        buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
        buttonCancel->setAutoDefault(true);

        hboxLayout->addWidget(buttonCancel);


        gridLayout->addLayout(hboxLayout, 7, 0, 1, 2);

        domainEdit = new QLineEdit(JoinDomainDlg);
        domainEdit->setObjectName(QString::fromUtf8("domainEdit"));

        gridLayout->addWidget(domainEdit, 0, 1, 1, 1);

        domainControllerEdit = new QLineEdit(JoinDomainDlg);
        domainControllerEdit->setObjectName(QString::fromUtf8("domainControllerEdit"));

        gridLayout->addWidget(domainControllerEdit, 1, 1, 1, 1);

        usernameEdit = new QLineEdit(JoinDomainDlg);
        usernameEdit->setObjectName(QString::fromUtf8("usernameEdit"));

        gridLayout->addWidget(usernameEdit, 2, 1, 1, 1);

        textLabel5_2_2 = new QLabel(JoinDomainDlg);
        textLabel5_2_2->setObjectName(QString::fromUtf8("textLabel5_2_2"));
        textLabel5_2_2->setWordWrap(false);

        gridLayout->addWidget(textLabel5_2_2, 4, 0, 1, 1);

        textLabel5_2 = new QLabel(JoinDomainDlg);
        textLabel5_2->setObjectName(QString::fromUtf8("textLabel5_2"));
        textLabel5_2->setWordWrap(false);

        gridLayout->addWidget(textLabel5_2, 3, 0, 1, 1);

        textLabel5 = new QLabel(JoinDomainDlg);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setWordWrap(false);

        gridLayout->addWidget(textLabel5, 2, 0, 1, 1);

        textLabel4_2 = new QLabel(JoinDomainDlg);
        textLabel4_2->setObjectName(QString::fromUtf8("textLabel4_2"));
        textLabel4_2->setWordWrap(false);

        gridLayout->addWidget(textLabel4_2, 1, 0, 1, 1);

        textLabel4 = new QLabel(JoinDomainDlg);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setWordWrap(false);

        gridLayout->addWidget(textLabel4, 0, 0, 1, 1);

        passwordEdit = new KLineEdit(JoinDomainDlg);
        passwordEdit->setObjectName(QString::fromUtf8("passwordEdit"));
        passwordEdit->setPasswordMode(true);

        gridLayout->addWidget(passwordEdit, 3, 1, 1, 1);

        verifyEdit = new KLineEdit(JoinDomainDlg);
        verifyEdit->setObjectName(QString::fromUtf8("verifyEdit"));
        verifyEdit->setPasswordMode(true);

        gridLayout->addWidget(verifyEdit, 4, 1, 1, 1);

        line1 = new QFrame(JoinDomainDlg);
        line1->setObjectName(QString::fromUtf8("line1"));
        line1->setFrameShape(QFrame::HLine);
        line1->setFrameShadow(QFrame::Sunken);

        gridLayout->addWidget(line1, 6, 0, 1, 2);

        spacer65 = new QSpacerItem(20, 40, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout->addItem(spacer65, 5, 1, 1, 1);

#ifndef UI_QT_NO_SHORTCUT
        textLabel5_2_2->setBuddy(verifyEdit);
        textLabel5_2->setBuddy(passwordEdit);
        textLabel5->setBuddy(usernameEdit);
        textLabel4_2->setBuddy(domainControllerEdit);
        textLabel4->setBuddy(domainEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(domainEdit, domainControllerEdit);
        QWidget::setTabOrder(domainControllerEdit, usernameEdit);
        QWidget::setTabOrder(usernameEdit, passwordEdit);
        QWidget::setTabOrder(passwordEdit, verifyEdit);
        QWidget::setTabOrder(verifyEdit, buttonOk);
        QWidget::setTabOrder(buttonOk, buttonCancel);

        retranslateUi(JoinDomainDlg);
        QObject::connect(buttonOk, SIGNAL(clicked()), JoinDomainDlg, SLOT(accept()));
        QObject::connect(buttonCancel, SIGNAL(clicked()), JoinDomainDlg, SLOT(reject()));

        QMetaObject::connectSlotsByName(JoinDomainDlg);
    } // setupUi

    void retranslateUi(QDialog *JoinDomainDlg)
    {
        JoinDomainDlg->setWindowTitle(tr2i18n("Join Domain", 0));
        buttonOk->setText(tr2i18n("&OK", 0));
        buttonOk->setShortcut(QString());
        buttonCancel->setText(tr2i18n("&Cancel", 0));
        buttonCancel->setShortcut(QString());
        textLabel5_2_2->setText(tr2i18n("&Verify:", 0));
        textLabel5_2->setText(tr2i18n("&Password:", 0));
        textLabel5->setText(tr2i18n("&Username:", 0));
        textLabel4_2->setText(tr2i18n("Domain co&ntroller:", 0));
        textLabel4->setText(tr2i18n("&Domain:", 0));
        Q_UNUSED(JoinDomainDlg);
    } // retranslateUi

};

namespace Ui {
    class JoinDomainDlg: public Ui_JoinDomainDlg {};
} // namespace Ui

QT_END_NAMESPACE

class JoinDomainDlg : public QDialog, public Ui::JoinDomainDlg
{
    Q_OBJECT

public:
    JoinDomainDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~JoinDomainDlg();

public slots:
    virtual void accept();

protected slots:
    virtual void languageChange();

};

#endif // JOINDOMAINDLG_H

