#include <kdialog.h>
#include <klocale.h>

#ifndef UI_SOCKETOPTIONSDLG_H
#define UI_SOCKETOPTIONSDLG_H

#include <qvariant.h>

class SambaShare;

#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_SocketOptionsDlg
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QCheckBox *SO_SNDLOWATChk;
    QCheckBox *IPTOS_THROUGHPUTChk;
    QCheckBox *SO_SNDBUFChk;
    QCheckBox *SO_KEEPALIVEChk;
    QCheckBox *SO_RCVBUFChk;
    QSpinBox *SO_SNDBUFSpin;
    QSpinBox *SO_RCVLOWATSpin;
    QCheckBox *SO_BROADCASTChk;
    QCheckBox *IPTOS_LOWDELAYChk;
    QCheckBox *TCP_NODELAYChk;
    QCheckBox *SO_RCVLOWATChk;
    QSpinBox *SO_RCVBUFSpin;
    QSpinBox *SO_SNDLOWATSpin;
    QCheckBox *SO_REUSEADDRChk;
    Q3Frame *Frame8;
    QHBoxLayout *hboxLayout;
    QPushButton *buttonHelp;
    QSpacerItem *Qt__Horizontal_Spacing2;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;

    void setupUi(QDialog *SocketOptionsDlg)
    {
        if (SocketOptionsDlg->objectName().isEmpty())
            SocketOptionsDlg->setObjectName(QString::fromUtf8("SocketOptionsDlg"));
        SocketOptionsDlg->resize(457, 240);
        SocketOptionsDlg->setSizeGripEnabled(true);
        vboxLayout = new QVBoxLayout(SocketOptionsDlg);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        gridLayout = new QGridLayout();
        gridLayout->setSpacing(6);
        gridLayout->setMargin(0);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        SO_SNDLOWATChk = new QCheckBox(SocketOptionsDlg);
        SO_SNDLOWATChk->setObjectName(QString::fromUtf8("SO_SNDLOWATChk"));

        gridLayout->addWidget(SO_SNDLOWATChk, 2, 1, 1, 1);

        IPTOS_THROUGHPUTChk = new QCheckBox(SocketOptionsDlg);
        IPTOS_THROUGHPUTChk->setObjectName(QString::fromUtf8("IPTOS_THROUGHPUTChk"));

        gridLayout->addWidget(IPTOS_THROUGHPUTChk, 2, 0, 1, 1);

        SO_SNDBUFChk = new QCheckBox(SocketOptionsDlg);
        SO_SNDBUFChk->setObjectName(QString::fromUtf8("SO_SNDBUFChk"));

        gridLayout->addWidget(SO_SNDBUFChk, 0, 1, 1, 1);

        SO_KEEPALIVEChk = new QCheckBox(SocketOptionsDlg);
        SO_KEEPALIVEChk->setObjectName(QString::fromUtf8("SO_KEEPALIVEChk"));

        gridLayout->addWidget(SO_KEEPALIVEChk, 3, 0, 1, 1);

        SO_RCVBUFChk = new QCheckBox(SocketOptionsDlg);
        SO_RCVBUFChk->setObjectName(QString::fromUtf8("SO_RCVBUFChk"));

        gridLayout->addWidget(SO_RCVBUFChk, 1, 1, 1, 1);

        SO_SNDBUFSpin = new QSpinBox(SocketOptionsDlg);
        SO_SNDBUFSpin->setObjectName(QString::fromUtf8("SO_SNDBUFSpin"));
        SO_SNDBUFSpin->setEnabled(false);
        SO_SNDBUFSpin->setMaximum(100000);

        gridLayout->addWidget(SO_SNDBUFSpin, 0, 2, 1, 1);

        SO_RCVLOWATSpin = new QSpinBox(SocketOptionsDlg);
        SO_RCVLOWATSpin->setObjectName(QString::fromUtf8("SO_RCVLOWATSpin"));
        SO_RCVLOWATSpin->setEnabled(false);
        SO_RCVLOWATSpin->setMaximum(100000);

        gridLayout->addWidget(SO_RCVLOWATSpin, 3, 2, 1, 1);

        SO_BROADCASTChk = new QCheckBox(SocketOptionsDlg);
        SO_BROADCASTChk->setObjectName(QString::fromUtf8("SO_BROADCASTChk"));

        gridLayout->addWidget(SO_BROADCASTChk, 5, 0, 1, 1);

        IPTOS_LOWDELAYChk = new QCheckBox(SocketOptionsDlg);
        IPTOS_LOWDELAYChk->setObjectName(QString::fromUtf8("IPTOS_LOWDELAYChk"));

        gridLayout->addWidget(IPTOS_LOWDELAYChk, 1, 0, 1, 1);

        TCP_NODELAYChk = new QCheckBox(SocketOptionsDlg);
        TCP_NODELAYChk->setObjectName(QString::fromUtf8("TCP_NODELAYChk"));

        gridLayout->addWidget(TCP_NODELAYChk, 0, 0, 1, 1);

        SO_RCVLOWATChk = new QCheckBox(SocketOptionsDlg);
        SO_RCVLOWATChk->setObjectName(QString::fromUtf8("SO_RCVLOWATChk"));

        gridLayout->addWidget(SO_RCVLOWATChk, 3, 1, 1, 1);

        SO_RCVBUFSpin = new QSpinBox(SocketOptionsDlg);
        SO_RCVBUFSpin->setObjectName(QString::fromUtf8("SO_RCVBUFSpin"));
        SO_RCVBUFSpin->setEnabled(false);
        SO_RCVBUFSpin->setMaximum(100000);

        gridLayout->addWidget(SO_RCVBUFSpin, 1, 2, 1, 1);

        SO_SNDLOWATSpin = new QSpinBox(SocketOptionsDlg);
        SO_SNDLOWATSpin->setObjectName(QString::fromUtf8("SO_SNDLOWATSpin"));
        SO_SNDLOWATSpin->setEnabled(false);
        SO_SNDLOWATSpin->setMaximum(100000);

        gridLayout->addWidget(SO_SNDLOWATSpin, 2, 2, 1, 1);

        SO_REUSEADDRChk = new QCheckBox(SocketOptionsDlg);
        SO_REUSEADDRChk->setObjectName(QString::fromUtf8("SO_REUSEADDRChk"));

        gridLayout->addWidget(SO_REUSEADDRChk, 4, 0, 1, 1);


        vboxLayout->addLayout(gridLayout);

        Frame8 = new Q3Frame(SocketOptionsDlg);
        Frame8->setObjectName(QString::fromUtf8("Frame8"));
        Frame8->setFrameShape(QFrame::HLine);
        Frame8->setFrameShadow(QFrame::Sunken);

        vboxLayout->addWidget(Frame8);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        buttonHelp = new QPushButton(SocketOptionsDlg);
        buttonHelp->setObjectName(QString::fromUtf8("buttonHelp"));
        buttonHelp->setAutoDefault(true);

        hboxLayout->addWidget(buttonHelp);

        Qt__Horizontal_Spacing2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Qt__Horizontal_Spacing2);

        buttonOk = new QPushButton(SocketOptionsDlg);
        buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
        buttonOk->setAutoDefault(true);
        buttonOk->setDefault(true);

        hboxLayout->addWidget(buttonOk);

        buttonCancel = new QPushButton(SocketOptionsDlg);
        buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
        buttonCancel->setAutoDefault(true);

        hboxLayout->addWidget(buttonCancel);


        vboxLayout->addLayout(hboxLayout);


        retranslateUi(SocketOptionsDlg);
        QObject::connect(buttonOk, SIGNAL(clicked()), SocketOptionsDlg, SLOT(accept()));
        QObject::connect(buttonCancel, SIGNAL(clicked()), SocketOptionsDlg, SLOT(reject()));
        QObject::connect(SO_RCVLOWATChk, SIGNAL(toggled(bool)), SO_RCVLOWATSpin, SLOT(setEnabled(bool)));
        QObject::connect(SO_SNDLOWATChk, SIGNAL(toggled(bool)), SO_SNDLOWATSpin, SLOT(setEnabled(bool)));
        QObject::connect(SO_RCVBUFChk, SIGNAL(toggled(bool)), SO_RCVBUFSpin, SLOT(setEnabled(bool)));
        QObject::connect(SO_SNDBUFChk, SIGNAL(toggled(bool)), SO_SNDBUFSpin, SLOT(setEnabled(bool)));

        QMetaObject::connectSlotsByName(SocketOptionsDlg);
    } // setupUi

    void retranslateUi(QDialog *SocketOptionsDlg)
    {
        SocketOptionsDlg->setWindowTitle(tr2i18n("Socket Options", 0));
        SO_SNDLOWATChk->setText(tr2i18n("SO_SNDLOWAT:", 0));
        IPTOS_THROUGHPUTChk->setText(tr2i18n("IPTOS_THROUGHPUT", 0));
        SO_SNDBUFChk->setText(tr2i18n("SO_SNDBUF:", 0));
        SO_KEEPALIVEChk->setText(tr2i18n("SO_KEEPALIVE", 0));
        SO_RCVBUFChk->setText(tr2i18n("SO_RCVBUF:", 0));
        SO_BROADCASTChk->setText(tr2i18n("SO_BROADCAST", 0));
        IPTOS_LOWDELAYChk->setText(tr2i18n("IPTOS_LOWDELAY", 0));
        TCP_NODELAYChk->setText(tr2i18n("TCP_NODELAY", 0));
        SO_RCVLOWATChk->setText(tr2i18n("SO_RCVLOWAT:", 0));
        SO_REUSEADDRChk->setText(tr2i18n("SO_REUSEADDR", 0));
        buttonHelp->setText(tr2i18n("&Help", 0));
        buttonHelp->setShortcut(tr2i18n("F1", 0));
        buttonOk->setText(tr2i18n("&OK", 0));
        buttonCancel->setText(tr2i18n("&Cancel", 0));
        Q_UNUSED(SocketOptionsDlg);
    } // retranslateUi

};

namespace Ui {
    class SocketOptionsDlg: public Ui_SocketOptionsDlg {};
} // namespace Ui

QT_END_NAMESPACE

class SocketOptionsDlg : public QDialog, public Ui::SocketOptionsDlg
{
    Q_OBJECT

public:
    SocketOptionsDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~SocketOptionsDlg();

public slots:
    virtual void setShare( SambaShare * share );

protected:
    SambaShare* _share;

protected slots:
    virtual void languageChange();

private slots:
    virtual bool getBoolValue( const QString & str, const QString & name );
    virtual int getIntValue( const QString & str, const QString & name );

};

#endif // SOCKETOPTIONSDLG_H

