#include <kdialog.h>
#include <klocale.h>

#ifndef UI_USERSELECTDLG_H
#define UI_USERSELECTDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include "sambashare.h"

QT_BEGIN_NAMESPACE

class Ui_UserSelectDlg
{
public:
    QGridLayout *gridLayout;
    Q3GroupBox *groupBox87;
    QVBoxLayout *vboxLayout;
    Q3ListView *userListView;
    Q3ButtonGroup *accessBtnGrp;
    QVBoxLayout *vboxLayout1;
    QRadioButton *defaultRadio;
    QRadioButton *readRadio;
    QRadioButton *writeRadio;
    QRadioButton *adminRadio;
    QRadioButton *noAccessRadio;
    QSpacerItem *spacer90;
    Q3Frame *frame16;
    QHBoxLayout *hboxLayout;
    QSpacerItem *Qt__Horizontal_Spacing2;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;

    void setupUi(QDialog *UserSelectDlg)
    {
        if (UserSelectDlg->objectName().isEmpty())
            UserSelectDlg->setObjectName(QString::fromUtf8("UserSelectDlg"));
        UserSelectDlg->resize(485, 269);
        UserSelectDlg->setSizeGripEnabled(true);
        gridLayout = new QGridLayout(UserSelectDlg);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        groupBox87 = new Q3GroupBox(UserSelectDlg);
        groupBox87->setObjectName(QString::fromUtf8("groupBox87"));
        groupBox87->setColumnLayout(0, Qt::Vertical);
        groupBox87->layout()->setSpacing(6);
        groupBox87->layout()->setMargin(11);
        vboxLayout = new QVBoxLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox87->layout());
        if (boxlayout)
            boxlayout->addLayout(vboxLayout);
        vboxLayout->setAlignment(Qt::AlignTop);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        userListView = new Q3ListView(groupBox87);
        userListView->addColumn(tr2i18n("Name", 0));
        userListView->header()->setClickEnabled(true, userListView->header()->count() - 1);
        userListView->addColumn(tr2i18n("UID", 0));
        userListView->header()->setClickEnabled(true, userListView->header()->count() - 1);
        userListView->addColumn(tr2i18n("GID", 0));
        userListView->header()->setClickEnabled(true, userListView->header()->count() - 1);
        userListView->setObjectName(QString::fromUtf8("userListView"));
        userListView->setSelectionMode(Q3ListView::Extended);

        vboxLayout->addWidget(userListView);


        gridLayout->addWidget(groupBox87, 0, 0, 2, 1);

        accessBtnGrp = new Q3ButtonGroup(UserSelectDlg);
        accessBtnGrp->setObjectName(QString::fromUtf8("accessBtnGrp"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(accessBtnGrp->sizePolicy().hasHeightForWidth());
        accessBtnGrp->setSizePolicy(sizePolicy);
        accessBtnGrp->setColumnLayout(0, Qt::Vertical);
        accessBtnGrp->layout()->setSpacing(6);
        accessBtnGrp->layout()->setMargin(11);
        vboxLayout1 = new QVBoxLayout();
        QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(accessBtnGrp->layout());
        if (boxlayout1)
            boxlayout1->addLayout(vboxLayout1);
        vboxLayout1->setAlignment(Qt::AlignTop);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        defaultRadio = new QRadioButton(accessBtnGrp);
        defaultRadio->setObjectName(QString::fromUtf8("defaultRadio"));
        defaultRadio->setShortcut(8388676);
        defaultRadio->setChecked(true);

        vboxLayout1->addWidget(defaultRadio);

        readRadio = new QRadioButton(accessBtnGrp);
        readRadio->setObjectName(QString::fromUtf8("readRadio"));
        readRadio->setShortcut(8388690);

        vboxLayout1->addWidget(readRadio);

        writeRadio = new QRadioButton(accessBtnGrp);
        writeRadio->setObjectName(QString::fromUtf8("writeRadio"));
        writeRadio->setShortcut(8388695);

        vboxLayout1->addWidget(writeRadio);

        adminRadio = new QRadioButton(accessBtnGrp);
        adminRadio->setObjectName(QString::fromUtf8("adminRadio"));
        adminRadio->setShortcut(8388673);

        vboxLayout1->addWidget(adminRadio);

        noAccessRadio = new QRadioButton(accessBtnGrp);
        noAccessRadio->setObjectName(QString::fromUtf8("noAccessRadio"));
        noAccessRadio->setShortcut(8388686);

        vboxLayout1->addWidget(noAccessRadio);


        gridLayout->addWidget(accessBtnGrp, 0, 1, 1, 1);

        spacer90 = new QSpacerItem(20, 50, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout->addItem(spacer90, 1, 1, 1, 1);

        frame16 = new Q3Frame(UserSelectDlg);
        frame16->setObjectName(QString::fromUtf8("frame16"));
        frame16->setFrameShape(QFrame::HLine);
        frame16->setFrameShadow(QFrame::Raised);

        gridLayout->addWidget(frame16, 2, 0, 1, 2);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        Qt__Horizontal_Spacing2 = new QSpacerItem(285, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Qt__Horizontal_Spacing2);

        buttonOk = new QPushButton(UserSelectDlg);
        buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
        buttonOk->setShortcut(0);
        buttonOk->setAutoDefault(true);
        buttonOk->setDefault(true);

        hboxLayout->addWidget(buttonOk);

        buttonCancel = new QPushButton(UserSelectDlg);
        buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
        buttonCancel->setShortcut(0);
        buttonCancel->setAutoDefault(true);

        hboxLayout->addWidget(buttonCancel);


        gridLayout->addLayout(hboxLayout, 3, 0, 1, 2);


        retranslateUi(UserSelectDlg);
        QObject::connect(buttonOk, SIGNAL(clicked()), UserSelectDlg, SLOT(accept()));
        QObject::connect(buttonCancel, SIGNAL(clicked()), UserSelectDlg, SLOT(reject()));

        QMetaObject::connectSlotsByName(UserSelectDlg);
    } // setupUi

    void retranslateUi(QDialog *UserSelectDlg)
    {
        UserSelectDlg->setWindowTitle(tr2i18n("Select Users", 0));
        groupBox87->setTitle(tr2i18n("Select &Users", 0));
        userListView->header()->setLabel(0, tr2i18n("Name", 0));
        userListView->header()->setLabel(1, tr2i18n("UID", 0));
        userListView->header()->setLabel(2, tr2i18n("GID", 0));
        accessBtnGrp->setTitle(tr2i18n("Acc&ess", 0));
        defaultRadio->setText(tr2i18n("&Default", 0));
        readRadio->setText(tr2i18n("&Read access", 0));
        writeRadio->setText(tr2i18n("&Write access", 0));
        adminRadio->setText(tr2i18n("&Admin access", 0));
        noAccessRadio->setText(tr2i18n("&No access at all", 0));
        buttonOk->setText(tr2i18n("&OK", 0));
        buttonCancel->setText(tr2i18n("&Cancel", 0));
        Q_UNUSED(UserSelectDlg);
    } // retranslateUi

};

namespace Ui {
    class UserSelectDlg: public Ui_UserSelectDlg {};
} // namespace Ui

QT_END_NAMESPACE

class UserSelectDlg : public QDialog, public Ui::UserSelectDlg
{
    Q_OBJECT

public:
    UserSelectDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~UserSelectDlg();

public slots:
    virtual void init( const QStringList & specifiedUsers, SambaShare * share );
    QStringList getSelectedUsers();
    int getAccess();

protected:
    QStringList selectedUsers;
    int access;

protected slots:
    virtual void languageChange();

    virtual void accept();


};

#endif // USERSELECTDLG_H

